"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useGlobalDOMEvents(props) {
    (0, react_1.useEffect)(() => {
        for (let [key, func] of Object.entries(props.event)) {
            window.addEventListener(key, func, false);
        }
        return () => {
            for (let [key, func] of Object.entries(props.event)) {
                window.removeEventListener(key, func, false);
            }
            if (props.cleanup) {
                props.cleanup();
            }
        };
    }, []);
    return {};
}
exports.default = useGlobalDOMEvents;
