import React from 'react';
import { IPagination, IQuery } from '../utils/pagination';
import { AxiosInstance } from 'axios';
type Props = {
    endpoint: string;
    initialQuery?: Object;
    limit?: number;
    pushData?: boolean;
    columnId?: string;
    httpRequest: AxiosInstance;
};
type IFetchQuery = IQuery & {
    [key: string]: any;
};
export default function useFetchList<DataType>(props: Props): {
    isLoading: boolean;
    data: DataType[];
    pagination: IPagination;
    query: IFetchQuery;
    setData: React.Dispatch<React.SetStateAction<DataType[]>>;
    setPagination: React.Dispatch<React.SetStateAction<IPagination>>;
    setQuery: React.Dispatch<React.SetStateAction<IFetchQuery>>;
    setQueryAndResetData: (newQuery: IFetchQuery) => void;
    setSearch: React.Dispatch<React.SetStateAction<string>>;
    changePage: (page: any) => void;
    fetchList: () => Promise<void>;
};
export {};
